package com.hzya.frame.sys.role.dao;

import com.hzya.frame.sys.role.entity.Role;
import java.util.List;

/**
 * @description: 角色  dao
 * @tableName: sys_role
 * @entityName: Role
 * @author: gjh
 * @history: 1.0
 */
public interface IRoleMapper {

        //通过ID获取数据    entity_get
        Role entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<Role> entity_list_base(Role entity);

        //  查询符合条件的数量
        Integer entity_count(Role entity);

        //分页查询列表 采用like格式 entity_list_like
        List<Role> entity_list_like(Role entity);

        //查询列表 字段采用or格式   entity_list_or
        List<Role> entity_list_or(Role entity);

        //新增  entity_insert
        Role entity_insert(Role entity);

        //修改  entity_update
        Integer entity_update(Role entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(Role entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(Role entity);

        //物理删除
        Integer entity_delete(Role entity);


}
